1. drumzalicious's Avatar
    Make sure the first thing you do is a back-up.

    After that make sure you downgrade to 4.7.0.61 before upgrading to .591. Apparently for mac users the only way an update to a 5.0 release will work is if you're coming from an "official release"

    After you downgrade to .61 then do the upgrade to .591

    If your BB ends up bricked go here for instructions on how to unbrick it

    http://forums.crackberry.com/f62/how...ry-mac-336488/
    Last edited by drumzalicious; 03-30-10 at 01:45 AM.
    03-30-10 01:42 AM
  2. nobodyhome's Avatar
    I had the old 5.0 spring release and upgraded just fine on mac without downgrading. It took forever to load on the loading bar (froze for about 15min) but it eventually loaded and worked
    03-30-10 01:51 AM
  3. stevenhglee's Avatar
    I had leaked .591 beforehand and on mac dm, it offered the official .591 as a "downgrade" so I went ahead and did that and it worked.

    Posted from my CrackBerry at wapforums.crackberry.com
    03-30-10 02:26 AM
  4. Heckler's Avatar
    Went from the official 4.7.whatever to 5.0.xx. Bricked the phone. Had to disconnect from my Mac, then reconnected. It took about 5 minutes, but it finally made a connection with my MacBook Pro and finished the load.

    Now I'm in the process of reloading all my third-party apps...even though I backed up the device.
    03-30-10 02:31 AM
  5. jus10barbour's Avatar
    went from .419 to the new official one without a hitch on my mac..
    03-30-10 02:41 AM
  6. ehalperin's Avatar
    I might have jinxed myself...it about 75% complete and says "waiting for device to restart." I had the original OS that was last released by Verizon....any idea how long that would take
    03-30-10 06:52 AM
  7. NJFP's Avatar
    I had 5.0.230 and got bricked by Mac. Switched over to the Windows side of my PowerBook Pro and it went smoothly.
    03-30-10 07:31 AM
LINK TO POST COPIED TO CLIPBOARD